namespace Indotalent.Infrastructure.Email;

public class DefaultEmailSender : IEmailSender
{
    private readonly ILogger<DefaultEmailSender> _logger;

    public DefaultEmailSender(ILogger<DefaultEmailSender> logger)
    {
        _logger = logger;
    }

    public Task SendEmailAsync(string email, string subject, string htmlMessage)
    {
        _logger.LogWarning("Email sending requested but NO active email provider found in EmailSettings.");
        _logger.LogInformation("To: {Email}", email);
        _logger.LogInformation("Subject: {Subject}", subject);
        _logger.LogInformation("Content: {Message}", htmlMessage);

        return Task.CompletedTask;
    }
}